package ucot.iter1;

import ucot.iter1.input.Link;
import ucot.iter1.input.ParsedData;
import ucot.iter1.input.Sentence;
import ucot.iter1.input.Word;
import ucot.iter1.model.AnalyzeModel;

public class Main {
    public static void main(String[] args) {
        
        
        
        ParsedData data = new ParsedData();
        Sentence s = new Sentence();
        Word w1 = new Word("kyttj","noun");
        Word w2 = new Word("valita","verb");
        Word w3 = new Word("kytttapaus","noun");
        
        w2.addLink(new Link("subject", w1));
        w2.addLink(new Link("object", w3));
        
        s.addWord(w1);
        s.addWord(w2);
        s.addWord(w3);
        
        
        data.addSentence(s);
        s = new Sentence();
        
        w1 = new Word("ohjelma","noun");
        w2 = new Word("prosessoida","verb");
        w3 = new Word("kytttapaus","noun");
        
        w2.addLink(new Link("subject", w1));
        w2.addLink(new Link("object", w3));

        s.addWord(w1);
        s.addWord(w2);
        s.addWord(w3);
        
        data.addSentence(s);
        s = new Sentence();
        
        w1 = new Word("ohjelma","noun");
        w2 = new Word("esitt","verb");
        w3 = new Word("ksitemalli","noun");
        
        w2.addLink(new Link("subject", w1));
        w2.addLink(new Link("object", w3));
        s.addWord(w1);
        s.addWord(w2);
        s.addWord(w3);
        data.addSentence(s);
        s = new Sentence();
        w1 = new Word("kyttj","noun");
        w2 = new Word("muokkaa","verb");
        w3 = new Word("ksitemalli","noun");
        
        w2.addLink(new Link("subject", w1));
        w2.addLink(new Link("object", w3));
        
        s.addWord(w1);
        s.addWord(w2);
        s.addWord(w3);
        
        data.addSentence(s);
        s = new Sentence();
        
        w1 = new Word("ohjelma","noun");
        w2 = new Word("tallentaa","verb");
        w3 = new Word("ksitemalli","noun");
        
        w2.addLink(new Link("subject", w1));
        w2.addLink(new Link("object", w3));
        
        s.addWord(w1);
        s.addWord(w2);
        s.addWord(w3);
        
        data.addSentence(s);
        s = new Sentence();
        
        System.out.println("Original form:");
        System.out.println(data.getOriginal());
        System.out.println(data);
        
        AbbottsHeuristic ab = new AbbottsHeuristic();
        
        AnalyzeModel model = ab.getModel(data);
        Output output = new Output();
        output.output(model);
        
        
        
    }
}
